:root {
  --color1: #421930;
  --color2: #7c1e3b;
  --color3: #b44346;
  --color4: #d88e6c;
  --color5: #f6e7ce;
  --contrast1: #000000;
  --contrast2: #ffffff;
}

.colors {
  color: #d5921a;
  color: #f1d881;
  color: #f9f4e6;
  color: #5b5643;
  color: #443020;
}

.colors2 {
  color: #171508;
  color: #53350f;
  color: #aa843d;
  color: #dfc77f;
  color: #91916b;
}

.colors3 {
  color: #5d2904;
  color: #82440b;
  color: #b7751f;
  color: #8b6e28;
  color: #d4ba66;
}

.colors4 {
  color: #e73527;
  color: #c0421a;
  color: #eb8505;
  color: #ebcb8e;
  color: #a0d5d9;
}

.colors5 {
  color: #000000;
  color: #504d4a;
  color: #c9c2b9;
  color: #ffb826;
  color: #96551d;
}

.colors6 {
  color: #421930;
  color: #7c1e3b;
  color: #b44346;
  color: #d88e6c;
  color: #f6e7ce;
}

.app {
  color: var(--contrast2);
  background-color: var(--color1);
  /* height: 100%; */
}

@media only screen and (min-width: 600px) {
  .grid {
    color: var(--contrast2);
    background-color: var(--color1);
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: repeat(6, 1fr);
    width: 100%;
    height: 100%;
    border-bottom: solid var(--contrast1);
    border-width: 1px 0 0 1px;
    position: relative;
  }

  .sideBar {
    padding: 10px 20px;
    background-color: var(--color1);
    opacity: 90%;
    border-bottom: solid var(--contrast2);
    /* width: 15%; */
    float: left;
  }
}

@media only screen and (max-width: 600px) {
  .grid {
    color: var(--contrast2);
    background-color: var(--color1);
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: repeat(6, 1fr);
    width: 100%;
    height: 100%;
    border-bottom: solid var(--contrast1);
    border-width: 1px 0 0 1px;
    position: relative;
  }

  .sideBar {
    display: none;
    padding: 10px 20px;
    background-color: var(--color1);
    opacity: 90%;
    border-bottom: solid var(--contrast2);
    /* width: 15%; */
    float: left;
  }
}



.mainSection {
  border-left: solid var(--contrast2);
  border-bottom: solid var(--contrast2);
  text-align: center;
  background-color: var(--color1);
  color: var(--contrast2);
  padding-bottom: 100px;
  /* width: 85%; */
  float: left;
}

.color-overlay {
  position: absolute;
  top: 80px;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.8;
  z-index: 10;
}



.caste-select>div {
  justify-content: flex-end;
  padding: 5px;
  background-color: var(--color1);
  max-width: 500px;
}



.caste-abilities-list {
  display: inline;
  background-color: var(--color1);
  justify-content: space-between;
}

.caste-abilities-list>span {
  align-items: stretch;
  /* justify-content: space-between; */
}

.caste-abilities-list ul li {
  display: inline;
  list-style-type: none;
  padding-right: 20px;
}

@media only screen and (min-width: 1200px) {
  .abilities-container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 10px;
    padding: 10px;
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .attributes-container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 10px;
    /* padding: 10px; */
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .caste-select {
    padding: 10px;
    display: grid;
    grid-template-columns: auto auto;
    background-color: var(--color1);
    border-top: solid var(--contrast2);
    border-bottom: solid var(--contrast2);
    justify-content: space-evenly;
  }

  .attributes-group {
    text-align: center;
  }

  #stats {
    display: flex;
    justify-content: space-between;
    background-color: var(--color2);
    padding: 10px;
  }

  .form-style {
    padding: 20px 12px 10px 20px;
    display: grid;
    grid-template-columns: auto auto auto auto auto auto;
    justify-content: center;
  }
}

@media only screen and (max-width: 1200px) {
  .abilities-container {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 10px;
    padding: 10px;
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .attributes-container {
    display: grid;
    grid-template-columns: auto;
    /* grid-gap: 10px; */
    /* padding: 10px; */
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .caste-select {
    padding: 10px;
    display: grid;
    grid-template-columns: auto;
    background-color: var(--color1);
    border-top: solid var(--contrast2);
    border-bottom: solid var(--contrast2);
    justify-content: space-evenly;
  }

  .attributes-group {
    text-align: center;
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 10px;
    margin: 5px
  }

  #stats {
    display: flex;
    justify-content: space-between;
    background-color: var(--color2);
    padding: 10px;
  }

  .form-style {
    padding: 20px 12px 10px 20px;
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: center;
  }
}

@media only screen and (max-width: 900px) {
  .abilities-container {
    display: grid;
    grid-template-columns: auto;
    grid-gap: 10px;
    padding: 10px;
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .attributes-container {
    display: grid;
    grid-template-columns: auto;
    grid-gap: 10px;
    padding: 10px;
    text-align: left;
    line-height: 25px;
    font-size: 15px;
  }

  .caste-select {
    padding: 10px;
    display: grid;
    grid-template-columns: auto;
    background-color: var(--color1);
    border-top: solid var(--contrast2);
    border-bottom: solid var(--contrast2);
    justify-content: space-evenly;
  }

  .attributes-group {
    text-align: center;
    display: grid;
    grid-template-columns: auto;
    grid-gap: 10px;
    margin: 5px
  }

  #stats {
    display: grid;
    justify-content: center;
    background-color: var(--color2);
    padding: 10px;
  }

  .form-style {
    padding: 20px 12px 10px 20px;
    display: grid;
    grid-template-columns: auto auto;
    justify-content: center;
  }
}



.ability-container {
  display: grid;
  grid-template-columns: 30px 100px auto auto;
  grid-template-rows: 15px 10px;
  background-color: var(--color2);
}

.ability-container>div {
  margin-left: 10px;
  /* padding: 5px */
}

.abilities-container>div>span>span.MuiIconButton-label>img {
  margin-top: 10px;
}

.attribute-container {
  display: grid;
  grid-template-columns: 150px 20px 20px 20px;
  grid-template-rows: 15px 10px;
  background-color: var(--color2);
}

.attribute-container>div {
  margin-left: 5px;
}

.attributes-points {
  /* display: flex; */
  text-align: center;
}

.attributes-importance {
  position: relative;
  display: flex;
  justify-content: center;
  padding-bottom: 10px;
}

.section-name {
  background-color: var(--color1);
  color: var(--color5);
  padding-bottom: 2px;
  font-size: 16px;
  /* border: none; */
}

.attributes-importance>.points {
  background-color: var(--color1);
  color: var(--color5);
  padding-left: 20px;
  font-size: 32px;
  border: none;
}

.MuiButton-label {
  color: var(--contrast2);
}

.characterInfo-section > div > div {
  padding: 5px;
}

.characterInfo-section {
  /* display: flex; */
  display: grid;
  padding-top: 20px;
  /* margin: 8px 0; */
  /* box-sizing: border-box; */
  border-bottom: solid var(--contrast2);
  justify-content: center;
}

.characterInfo-container>div.characterInfo-section>div {
  align-items: right;
  justify-content: space-between;
  width: 100%;
  padding: 20px 20px;
  /* margin: 8px 0; */
  box-sizing: border-box;
}



.form-style-heading {
  font-weight: bold;
  font-style: italic;
  border-bottom: 2px solid var(--color2);
  margin-bottom: 20px;
  font-size: 15px;
  padding-bottom: 3px;
}

.form-style span {
  display: block;
  margin: 0px 10px 15px 10px;
  padding-top: 14px;
}

.form-style label>span {
  width: 100px;
  font-weight: bold;
  float: left;
  padding-top: 8px;
  padding-right: 5px;
}

.form-style .SupernalAbilityButton {
  display: block;
  margin: 0px 0px 15px 0px;
  padding-top: 0px;
}

.characterInfo-section>div>div>button>span.MuiButton-label {
  padding: 3px;
}

.form-style .TextField, .form-style .select-field {
  width: 48%;
}

.form-style input.input-field,
.form-style .select-field {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  border: 1px solid var(--color2);
  box-shadow: 1px 1px 4px var(--color2);
  -moz-box-shadow: 1px 1px 4px var(--color2);
  -webkit-box-shadow: 1px 1px 4px var(--color2);
  border-radius: 3px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  padding: 7px;
  outline: none;
}

.form-style .input-field:focus,
.form-style .tel-number-field:focus,
.form-style .textarea-field:focus,
.form-style .select-field:focus {
  border: 1px solid #0C0;
}

.form-style .textarea-field {
  height: 100px;
  width: 55%;
}

.form-style input[type=submit],
.form-style input[type=button] {
  border: none;
  padding: 8px 15px 8px 15px;
  background: var(--color2);
  color: var(--contrast1);
  box-shadow: 1px 1px 4px var(--color2);
  -moz-box-shadow: 1px 1px 4px var(--color2);
  -webkit-box-shadow: 1px 1px 4px var(--color2);
  border-radius: 3px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
}

.form-style input[type=submit]:hover,
.form-style input[type=button]:hover {
  background: #EA7B00;
  color: var(--contrast1);
}

/* The container <div> - needed to position the importance content */

.importance {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Dropdown Content (Hidden by Default) */

.importance-content {
  display: flex;
  justify-content: space-evenly;
  background-color: var(--color5);
  box-shadow: 0px 4px 4px 0px rgba(255, 255, 255, 0.2);
  z-index: 1;
}

/* Links inside the importance */

.importance-content button {
  background-color: var(--color2);
  color: var(--contrast2);
  ;
  padding: 5px 16px;
  text-decoration: none;
  /* display: block; */
}

.importance-content .selected {
  background-color: var(--color4);
  color: var(--color1);
  /* padding: 12px 16px; */
  /* text-decoration: none; */
  /* display: block; */
}

/* Change color of importance links on hover */

.importance-content button:hover {
  background-color: var(--color3)
}

/* Show the importance menu on hover */

.importance:hover .importance-content {
  /* display: block; */
}

/* Change the background color of the importance button when the importance content is shown */

.importance:hover .dropbtn {
  background-color: var(--color5);
}